WordPress.org

Ready to get started?Download WordPress

Forums

Squelch Tabs and Accordions Shortcodes
[resolved] Updated Today from TheThe and Having Issues (4 posts)

  1. AgPhD
    Member
    Posted 1 year ago #

    I went onto a page on our site where we had TheThe Tabs and Accordions in use and saw that it had stopped working. I had not upgraded WordPress or anything that may have changed this. Am currently running 3.3.1. After searching for an update for TheThe's version and finding it the plugin had been delisted, I downloaded this plugin. This seems to be working just the same as TheThe's version; the problem is that the problem I was having before upgrading persists.

    All of my data is loading, but the tabs and accordions are not, except for the first accordion, which I had embedded in the first tab. You can see this on this page.

    Here is the shortcode I am using on this page on Pastebin.

    Any assistance on what I'm doing wrong would be greatly appreciated.

    http://wordpress.org/extend/plugins/squelch-tabs-and-accordions-shortcodes/

  2. Matt Lowe
    Member
    Plugin Author

    Posted 1 year ago #

    Hi AgPhD,

    Your site is loading jQuery 1.9.1, which is breaking bgIframe in your theme's javascripts.

    While Squelch Tabs and Accordions loads 1.9.1 by default, I can see from your site's page source that my plugin is NOT what is loading jQuery - another plugin has overridden my code and is asking the Google CDN for the latest version of jQuery. As such your site will always be on the latest version of jQuery, regardless of whether your other plugins work with that version or not.

    For this to happen something has to be dequeuing jQuery and queuing up jquery-latest.min.js from the Google CDN; My money would be on TheThe Image Slider, as TheThe Tabs and Accordions had this exact behaviour too. TheThe have a habit of loading jQuery in COMPLETELY the wrong way, breaking WordPress conventions, and it leads to these kinds of problems.

    First of all I'd suggest going to Appearance > Tabs and Accordions, and setting the jQuery version to 1.8.3 as it's clear that your theme cannot handle 1.9.1 (the default). If you disable all other plugins at this point then I am confident you will find that Squelch Tabs and Accordions now works as you'd expect. Once you've confirmed that Squelch Tabs and Accordions is playing nicely with your theme you need to work out which plugin isn't.

    The usual method is to disable all plugins and then re-enable them one at a time to find the source of the issue. I'll go ahead and say it again though: I think you're going to find that it's TheThe Image Slider plugin that's causing you this pain.

  3. AgPhD
    Member
    Posted 1 year ago #

    That worked perfectly. Thank you! It was indeed one of the TheThe plugins creating an issue. Theme works fine with jQuery 1.9.1. All I did was disable the TheThe plugins on that section of the site, as they weren't being used anyway, and all is well once again.

  4. AgPhD
    Member
    Posted 1 year ago #

    Resolved.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.